import { timestamp } from "drizzle-orm/pg-core";

// columns.helpers.ts
export const timestamps = {
    updated_at: timestamp().defaultNow().notNull(),
    created_at: timestamp().defaultNow().notNull(),
    deleted_at: timestamp(),
}

export const timestampsAllowNulls = {
    updated_at: timestamp().defaultNow(),
    created_at: timestamp().defaultNow(),
    deleted_at: timestamp(),
}